Subject: old machines

From: Matthew Wilcox <[email-masked]>
Date: Mon, 26 May 1997 10:52:43 +0100 (BST)

I found the 2.0.30 patch set last night (I was looking in the wrong place.
mea culpa) and installed it into a copy of the standard tree.  Patch went
fine except that it tries to patch a file called something like
kernel.syms, which doesn't exist.  So I skipped it.

Is it supposed to be able to compile for non-RPC machines?  Just
wondering, since the very first file compiled fails with an error.  Also,
no distinction is made between ARM2 & ARM3, despite the fact that ARM3 can
SWP and ARM2 cannot.  Likewise, the config.in does not query for machine
type and assumes RPC.  I added the ability to query, and autoset the CPU
type based on machine type, but I'm not sure of the value of submitting
this patch back if 2.0.30 isn't designed to compile on these machines. 
Don't take this personally, Russell, I do appreciate the work you've put
into Linux, but if I don't report the problems that I find, they might
never get fixed.